Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1572302 - DKR1008: Could not find registry API at https://gcr.io
Summary: DKR1008: Could not find registry API at https://gcr.io
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.3.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
: 1564830 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 16:03 UTC by Satellite Program
Modified: 2021-04-06 17:49 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1555165
Environment:
Last Closed: 2018-10-16 19:05:18 UTC
Target Upstream Version:


Attachments (Terms of Use)
verification screenshot (99.65 KB, image/png)
2018-07-18 20:22 UTC, jcallaha
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 3573 0 High CLOSED - CURRENTRELEASE Not able to sync from google registry. 2018-07-09 15:06:41 UTC
Red Hat Knowledge Base (Solution) 3380951 0 None None None 2018-04-26 16:03:45 UTC

Comment 2 pulp-infra@redhat.com 2018-04-26 16:32:04 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 3 pulp-infra@redhat.com 2018-04-26 16:32:08 UTC
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.

Comment 4 Tanya Tereshchenko 2018-05-09 14:26:28 UTC
*** Bug 1564830 has been marked as a duplicate of this bug. ***

Comment 5 jcallaha 2018-06-14 19:53:25 UTC
Failed QA in Satellite 6.4 snap 7

Created new product and repo to test this.

created three repositories:
   a new project hosted on my google cloud account, using my auth creds.
   an existing google project google_containers/kube-controller-manager-amd64, with no auth creds.
   an existing google project google_containers/kube-controller-manager-amd64, with my auth creds.

The first and third repo syns failed with the initial bug error: Could not find registry API at https://gcr.io/

The second repo failed with: Could not fetch repository google_containers/kube-controller-manager-amd64 from registry https://gcr.io/ - Unauthorized or Not Found


Additionally, it looks like the linked code changes are not in the files included in this version.

Comment 6 pulp-infra@redhat.com 2018-06-14 21:36:26 UTC
Requesting needsinfo from upstream developer ipanova@redhat.com because the 'FailedQA' flag is set.

Comment 7 Ina Panova 2018-06-15 09:43:29 UTC
snap 7 contains pulp-server-2.16.0-2.el7sat.noarch.rpm.

this bugfix will go into 2.16.2. Beta will be available June 19.

Comment 8 pulp-infra@redhat.com 2018-06-15 14:24:03 UTC
Requesting needsinfo from upstream developer ipanova@redhat.com because the 'FailedQA' flag is set.

Comment 10 pulp-infra@redhat.com 2018-07-09 14:09:17 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 11 pulp-infra@redhat.com 2018-07-09 15:06:42 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 12 jcallaha 2018-07-18 20:21:56 UTC
Verified in Satellite 6.4 Snap 12.

Both unauthenticated and authenticated sync of the repo, mentioned in comment #5, worked without issues. 

See attached screenshot for verification.

Comment 13 jcallaha 2018-07-18 20:22:42 UTC
Created attachment 1459799 [details]
verification screenshot

Comment 14 Aleks Lazic 2018-08-21 09:46:11 UTC
Do you plan to back-port the fix to 6.3.x?

As we have a customer which have the same problem with quay.io as describe in #1564830 .

There is also a customer case behind this request 02166069

Comment 15 Robin Chan 2018-08-21 11:50:12 UTC
@Aleks, See the cloned bug to find out which build of 6.3.z this is fixed in.

Comment 16 Aleks Lazic 2018-08-21 14:45:50 UTC
@Robin, I don't see there any fixed version on a `git checkout grc-sat` which could not be the solution for the product.

In the logs are this messages

```
Aug 21 16:26:54 <SERVER> pulp: [ID - daemon.info] requests.packages.urllib3.connectionpool:INFO: [dbf34b91] Starting new HTTPS connection (1): quay.io
Aug 21 16:26:54 <SERVER> pulp: [ID - daemon.info] requests.packages.urllib3.connectionpool:INFO: [dbf34b91] Starting new HTTPS connection (2): quay.io
Aug 21 16:26:56 <SERVER> pulp: [ID - daemon.info] requests.packages.urllib3.connectionpool:INFO: [dbf34b91] Starting new HTTPS connection (3): quay.io
Aug 21 16:27:00 <SERVER> pulp: [ID - daemon.info] requests.packages.urllib3.connectionpool:INFO: [dbf34b91] Starting new HTTPS connection (4): quay.io
Aug 21 16:27:08 <SERVER> pulp: [ID - daemon.info] requests.packages.urllib3.connectionpool:INFO: [dbf34b91] Starting new HTTPS connection (5): quay.io
Aug 21 16:27:24 <SERVER> pulp: [ID - daemon.info] requests.packages.urllib3.connectionpool:INFO: [dbf34b91] Starting new HTTPS connection (6): quay.io
Aug 21 16:27:24 <SERVER> pulp: [ID - daemon.err] nectar.downloaders.threaded:ERROR: [dbf34b91] Skipping requests to quay.io due to repeated connection failures: HTTPSConnectionPool(host='quay.io', port=443): Max retries exceeded with url: /v2/ (Caused by ProtocolError('Connection aborted.', gaierror(-2, 'Name or service not known')))
Aug 21 16:27:24 <SERVER> pulp: [ID - daemon.info] pulp.server.async.tasks:INFO: [dbf34b91] Task failed : [dbf34b91-ea1f-4034-9dbd-367e7ea7d27f] : Could not find registry API at https://quay.io/
```

Comment 17 Robin Chan 2018-08-21 14:58:54 UTC
@Aleks - I was looking at notes in "Devel Whiteboard:" field of "Clone of" bug: https://bugzilla.redhat.com/show_bug.cgi?id=1555165

Comment 18 Aleks Lazic 2018-08-21 16:13:42 UTC
@Robin. thanks. looks like in https://bugzilla.redhat.com/show_bug.cgi?id=1333595 is a fix for 6.3.3 
we will wait for the new version

Comment 19 Bryan Kearney 2018-10-16 19:05:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.